#include <avr/io.h>
#define F_CPU 8000000UL
#include <util/delay.h>
#include <avr/pgmspace.h>

#define SCLK_SET     PORTC |= (1<<PC3)
#define SDA_SET      PORTC |= (1<<PC2)
#define CS_SET       PORTC |= (1<<PC1)
#define RST_SET      PORTC |= (1<<PC0)

#define SCLK_RESET    PORTC &= ~(1<<PC3)
#define SDA_RESET     PORTC &= ~(1<<PC2)
#define CS_RESET      PORTC &= ~(1<<PC1)
#define RST_RESET     PORTC &= ~(1<<PC0)

#define CMD     0
#define DATA    1

void Lcd_Clear(void);
void Lcd_Init(void);
void Lcd_Write(char cd,unsigned char c);
void SetX(char x);
void SetY(char y);
void Gotoxy(char x,char y);
void VLine(char x,char y,char on);
void Line(unsigned char x,unsigned char y,unsigned char y2,unsigned char on);
void print_char(char c);
void print_string(char * message);